package org.dromara.payment.worker.service;

import org.dromara.payment.worker.domain.UserWorkerAuthorized;
import org.dromara.payment.worker.domain.vo.UserWorkerAuthorizedVo;
import org.dromara.payment.worker.domain.bo.UserWorkerAuthorizedBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 授权协议Service接口
 *
 * @author LionLi
 * @date 2024-04-29
 */
public interface IUserWorkerAuthorizedService {

    /**
     * 查询授权协议
     */
    UserWorkerAuthorizedVo queryById(Long id);

    /**
     * 查询授权协议列表
     */
    TableDataInfo<UserWorkerAuthorizedVo> queryPageList(UserWorkerAuthorizedBo bo, PageQuery pageQuery);

    /**
     * 查询授权协议列表
     */
    List<UserWorkerAuthorizedVo> queryList(UserWorkerAuthorizedBo bo);

    /**
     * 新增授权协议
     */
    Boolean insertByBo(UserWorkerAuthorizedBo bo);

    /**
     * 修改授权协议
     */
    Boolean updateByBo(UserWorkerAuthorizedBo bo);

    /**
     * 校验并批量删除授权协议信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
